package com.kcim.service;

import com.kcim.dao.model.Order;
import com.kcim.dao.model.OrderItemMap;
import com.kcim.web.request.OrderItemRequest;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * @program: CostAccount
 * @description:
 * @author: Wang.YS
 * @create: 2023-11-15 15:28
 **/
public interface OrderService {
    Object getOrderList(String orderType, String orderName);

    void addOrder(Order request);

    void editOrder(Order request);

    void deleteOrder(Integer id);

    Object getOrderType();

    Object exportOrder(HttpServletResponse response);

    void importOrder(MultipartFile file);

    Object getOrderItemList(Integer current, Integer pageSize, String orderCode, String itemName);

    void addOrderItem(OrderItemRequest request);

    void editOrderItem(OrderItemMap request);

    void deleteOrderItem(Integer id);

    void batchDeleteOrderItem(List<Integer> ids);

    Object getItemDict(Integer type, String orderCode, String name);
}
